Bug 450651 - Unable to create snapshot on VG including PVs without metadata areas
Unable to create snapshot on VG including PVs without metadata areas
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.7
All Linux
high Severity high
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 04:22 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
9 users (show)

See Also:
Fixed In Version: RHBA-2008-0776
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2008-06-10 04:22:41 EDT
# pvcreate /dev/sdc1
  Physical volume "/dev/sdc1" successfully created
# pvcreate --metadatacopies 0 /dev/sdc2
  Physical volume "/dev/sdc2" successfully created
# vgcreate -c n vg_part /dev/sdc1 /dev/sdc2
  Volume group "vg_part" successfully created
# lvcreate -n lv1 -L 100M vg_part
  Logical volume "lv1" created
# lvcreate -s -n lv1_snap -L 10M vg_part/lv1
  Rounding up size to full physical extent 12.00 MB
  WARNING: dev_open(/dev/sdc2) called while suspended
  Volume group vg_part metadata is inconsistent
  Volume group for uuid not found:
R2o5zE3XhtpWPRzbsDUBkKkUqrPws3if7RilEkJluVQc8t7xyphLaoWlT0lKOMrC
  Problem reactivating origin lv1

# lvm version
  LVM version:     2.02.37-RHEL4 (2008-06-06)
  Library version: 1.02.25-RHEL4 (2008-04-11)
  Driver version:  4.5.5

# rpm -q lvm2
lvm2-2.02.37-1.el4
Comment 3 Milan Broz 2008-06-11 07:51:19 EDT
Fixed in lvm2-2.02.37-2.el4.
Comment 5 Corey Marthaler 2008-06-27 12:19:26 EDT
Fix verified on lvm2-2.02.37-3.el4.
Comment 7 errata-xmlrpc 2008-07-24 16:08:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html

Note You need to log in before you can comment on or make changes to this bug.